<?php
/**
 * The template for displaying a "No posts found" message
 *
 * @package WordPress
 * @subpackage Nabia
 * @since Nabia 1.0
 */
?>


<h2 class="page-title"><?php _e( 'Ничего не найдено', 'nabia' ); ?></h2>

<div class="page-content">

	<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

		<p>
			<?php printf( __( 'Готовы опубликовать свой первый пост? <a href="%1$s">Начните отсюда</a>.', 'nabia' ), admin_url( 'post-new.php' ) ); ?>
		</p>

	<?php elseif ( is_search() ) : ?>

		<p>
			<?php _e( 'Извините, но по Вашему запросу ничего не найдено. Попробуйте изменить ключевые слова.', 'nabia' ); ?>
		</p>

	<?php else : ?>

		<p>
			<?php _e( 'Мы ничего не нашли. Попробуйте поиск по сайту.', 'nabia' ); ?>
		</p>

	<?php endif; ?>
	
</div><!-- .page-content -->
